Subject: [Ice] Mirja Kühlewind's No Objection on draft-ietf-ice-rfc5245bis-17: (with COMMENT)

From: Mirja Kühlewind <[email-masked]>
Date: Fri, 16 Feb 2018 10:40:40 -0800

Mirja Kühlewind has entered the following ballot position for
draft-ietf-ice-rfc5245bis-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ice-rfc5245bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Important nits; please address:

1) Sec 14.2: RFC 6928, RFC 5389, and RFC 6298 should be actual references and
listed in the reference section.

2) Sec 14.2: Maybe you should really not use normative language in the
reasoning part of this section?!
    I find especially this SHOULD in the following sentence confusing (as it
    doesn't give a reference to another RFC that defines this):
   "Let MinPacing be the minimum pacing interval between
          transactions, which SHOULD be 5ms."
   Given that the previous text says:
  "all transactions from all agents [...] MUST NOT be sent more often than once
   every 5ms"
  My recommendation: please use lower cases "shoulds" and "musts" in the
  reasoning part!

3) Sec 19.4.1: "(say, Ta=20ms)"
Maybe use also a value of 50ms here to avoid confusion.

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 17 Feb 2018 08:36:33 +0000

Hi Mirja,

Thank You for your review and comments! Please see inline.

Important nits; please address:

>1) Sec 14.2: RFC 6928, RFC 5389, and RFC 6298 should be actual references and listed in the reference section.

Will be fixed as suggested.

---

> 2) Sec 14.2: Maybe you should really not use normative language in the reasoning part of this section?!

I think it would be good to keep upper cases in most instances, but I do agree that the usage of SHOULD in the MinPacing sentence is confusing, so what about the following change:

OLD:

"Let MinPacing be the minimum pacing interval between transactions, which SHOULD be 5ms."

NEW:

"Let MinPacing be the minimum pacing interval between transactions, which is 5 ms (see above)."

---

> Maybe use also a value of 50ms here to avoid confusion.

Will be fixed as suggested.

Regards,

Christer

---

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Sat, 17 Feb 2018 11:29:55 +0100

Thanks, that helps!

> Am 17.02.2018 um 09:36 schrieb Christer Holmberg <[email-masked]>:
> 
> Hi Mirja,
>